"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var KMSClient_1 = require("./KMSClient");
var CancelKeyDeletionCommand_1 = require("./commands/CancelKeyDeletionCommand");
var ConnectCustomKeyStoreCommand_1 = require("./commands/ConnectCustomKeyStoreCommand");
var CreateAliasCommand_1 = require("./commands/CreateAliasCommand");
var CreateCustomKeyStoreCommand_1 = require("./commands/CreateCustomKeyStoreCommand");
var CreateGrantCommand_1 = require("./commands/CreateGrantCommand");
var CreateKeyCommand_1 = require("./commands/CreateKeyCommand");
var DecryptCommand_1 = require("./commands/DecryptCommand");
var DeleteAliasCommand_1 = require("./commands/DeleteAliasCommand");
var DeleteCustomKeyStoreCommand_1 = require("./commands/DeleteCustomKeyStoreCommand");
var DeleteImportedKeyMaterialCommand_1 = require("./commands/DeleteImportedKeyMaterialCommand");
var DescribeCustomKeyStoresCommand_1 = require("./commands/DescribeCustomKeyStoresCommand");
var DescribeKeyCommand_1 = require("./commands/DescribeKeyCommand");
var DisableKeyCommand_1 = require("./commands/DisableKeyCommand");
var DisableKeyRotationCommand_1 = require("./commands/DisableKeyRotationCommand");
var DisconnectCustomKeyStoreCommand_1 = require("./commands/DisconnectCustomKeyStoreCommand");
var EnableKeyCommand_1 = require("./commands/EnableKeyCommand");
var EnableKeyRotationCommand_1 = require("./commands/EnableKeyRotationCommand");
var EncryptCommand_1 = require("./commands/EncryptCommand");
var GenerateDataKeyCommand_1 = require("./commands/GenerateDataKeyCommand");
var GenerateDataKeyWithoutPlaintextCommand_1 = require("./commands/GenerateDataKeyWithoutPlaintextCommand");
var GenerateRandomCommand_1 = require("./commands/GenerateRandomCommand");
var GetKeyPolicyCommand_1 = require("./commands/GetKeyPolicyCommand");
var GetKeyRotationStatusCommand_1 = require("./commands/GetKeyRotationStatusCommand");
var GetParametersForImportCommand_1 = require("./commands/GetParametersForImportCommand");
var ImportKeyMaterialCommand_1 = require("./commands/ImportKeyMaterialCommand");
var ListAliasesCommand_1 = require("./commands/ListAliasesCommand");
var ListGrantsCommand_1 = require("./commands/ListGrantsCommand");
var ListKeyPoliciesCommand_1 = require("./commands/ListKeyPoliciesCommand");
var ListKeysCommand_1 = require("./commands/ListKeysCommand");
var ListResourceTagsCommand_1 = require("./commands/ListResourceTagsCommand");
var ListRetirableGrantsCommand_1 = require("./commands/ListRetirableGrantsCommand");
var PutKeyPolicyCommand_1 = require("./commands/PutKeyPolicyCommand");
var ReEncryptCommand_1 = require("./commands/ReEncryptCommand");
var RetireGrantCommand_1 = require("./commands/RetireGrantCommand");
var RevokeGrantCommand_1 = require("./commands/RevokeGrantCommand");
var ScheduleKeyDeletionCommand_1 = require("./commands/ScheduleKeyDeletionCommand");
var TagResourceCommand_1 = require("./commands/TagResourceCommand");
var UntagResourceCommand_1 = require("./commands/UntagResourceCommand");
var UpdateAliasCommand_1 = require("./commands/UpdateAliasCommand");
var UpdateCustomKeyStoreCommand_1 = require("./commands/UpdateCustomKeyStoreCommand");
var UpdateKeyDescriptionCommand_1 = require("./commands/UpdateKeyDescriptionCommand");
var KMS = /** @class */ (function (_super) {
    tslib_1.__extends(KMS, _super);
    function KMS() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    KMS.prototype.cancelKeyDeletion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CancelKeyDeletionCommand_1.CancelKeyDeletionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.connectCustomKeyStore = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ConnectCustomKeyStoreCommand_1.ConnectCustomKeyStoreCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.createAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateAliasCommand_1.CreateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.createCustomKeyStore = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateCustomKeyStoreCommand_1.CreateCustomKeyStoreCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.createGrant = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateGrantCommand_1.CreateGrantCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.createKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new CreateKeyCommand_1.CreateKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.decrypt = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DecryptCommand_1.DecryptCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.deleteAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteAliasCommand_1.DeleteAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.deleteCustomKeyStore = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteCustomKeyStoreCommand_1.DeleteCustomKeyStoreCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.deleteImportedKeyMaterial = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DeleteImportedKeyMaterialCommand_1.DeleteImportedKeyMaterialCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.describeCustomKeyStores = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeCustomKeyStoresCommand_1.DescribeCustomKeyStoresCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.describeKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DescribeKeyCommand_1.DescribeKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.disableKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableKeyCommand_1.DisableKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.disableKeyRotation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisableKeyRotationCommand_1.DisableKeyRotationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.disconnectCustomKeyStore = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new DisconnectCustomKeyStoreCommand_1.DisconnectCustomKeyStoreCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.enableKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableKeyCommand_1.EnableKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.enableKeyRotation = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EnableKeyRotationCommand_1.EnableKeyRotationCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.encrypt = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new EncryptCommand_1.EncryptCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.generateDataKey = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GenerateDataKeyCommand_1.GenerateDataKeyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.generateDataKeyWithoutPlaintext = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GenerateDataKeyWithoutPlaintextCommand_1.GenerateDataKeyWithoutPlaintextCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.generateRandom = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GenerateRandomCommand_1.GenerateRandomCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.getKeyPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetKeyPolicyCommand_1.GetKeyPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.getKeyRotationStatus = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetKeyRotationStatusCommand_1.GetKeyRotationStatusCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.getParametersForImport = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new GetParametersForImportCommand_1.GetParametersForImportCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.importKeyMaterial = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ImportKeyMaterialCommand_1.ImportKeyMaterialCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listAliases = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListAliasesCommand_1.ListAliasesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listGrants = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListGrantsCommand_1.ListGrantsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listKeyPolicies = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListKeyPoliciesCommand_1.ListKeyPoliciesCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listKeys = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListKeysCommand_1.ListKeysCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listResourceTags = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListResourceTagsCommand_1.ListResourceTagsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.listRetirableGrants = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ListRetirableGrantsCommand_1.ListRetirableGrantsCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.putKeyPolicy = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new PutKeyPolicyCommand_1.PutKeyPolicyCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.reEncrypt = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ReEncryptCommand_1.ReEncryptCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.retireGrant = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RetireGrantCommand_1.RetireGrantCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.revokeGrant = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new RevokeGrantCommand_1.RevokeGrantCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.scheduleKeyDeletion = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new ScheduleKeyDeletionCommand_1.ScheduleKeyDeletionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.tagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new TagResourceCommand_1.TagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.untagResource = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UntagResourceCommand_1.UntagResourceCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.updateAlias = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateAliasCommand_1.UpdateAliasCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.updateCustomKeyStore = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateCustomKeyStoreCommand_1.UpdateCustomKeyStoreCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    KMS.prototype.updateKeyDescription = function (args, cb) {
        // create the appropriate command and pass it to .send
        var command = new UpdateKeyDescriptionCommand_1.UpdateKeyDescriptionCommand(args);
        if (typeof cb === "function") {
            this.send(command, cb);
        }
        else {
            return this.send(command);
        }
    };
    return KMS;
}(KMSClient_1.KMSClient));
exports.KMS = KMS;
//# sourceMappingURL=KMS.js.map