"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CancelKeyDeletion_1 = require("../model/operations/CancelKeyDeletion");
var CancelKeyDeletionCommand = /** @class */ (function () {
    function CancelKeyDeletionCommand(input) {
        this.input = input;
        this.model = CancelKeyDeletion_1.CancelKeyDeletion;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CancelKeyDeletionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CancelKeyDeletionCommand;
}());
exports.CancelKeyDeletionCommand = CancelKeyDeletionCommand;
//# sourceMappingURL=CancelKeyDeletionCommand.js.map