"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateCustomKeyStore_1 = require("../model/operations/CreateCustomKeyStore");
var CreateCustomKeyStoreCommand = /** @class */ (function () {
    function CreateCustomKeyStoreCommand(input) {
        this.input = input;
        this.model = CreateCustomKeyStore_1.CreateCustomKeyStore;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateCustomKeyStoreCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateCustomKeyStoreCommand;
}());
exports.CreateCustomKeyStoreCommand = CreateCustomKeyStoreCommand;
//# sourceMappingURL=CreateCustomKeyStoreCommand.js.map