"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateKey_1 = require("../model/operations/CreateKey");
var CreateKeyCommand = /** @class */ (function () {
    function CreateKeyCommand(input) {
        this.input = input;
        this.model = CreateKey_1.CreateKey;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateKeyCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateKeyCommand;
}());
exports.CreateKeyCommand = CreateKeyCommand;
//# sourceMappingURL=CreateKeyCommand.js.map