import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DecryptInput } from "../types/DecryptInput";
import { DecryptOutput } from "../types/DecryptOutput";
import { KMSResolvedConfiguration } from "../KMSConfiguration";
export * from "../types/DecryptInput";
export * from "../types/DecryptOutput";
export * from "../types/DecryptExceptionsUnion";
export declare class DecryptCommand implements __aws_sdk_types.Command<InputTypesUnion, DecryptInput, OutputTypesUnion, DecryptOutput, KMSResolvedConfiguration, Blob> {
    readonly input: DecryptInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DecryptInput, DecryptOutput, Blob>;
    constructor(input: DecryptInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: KMSResolvedConfiguration): __aws_sdk_types.Handler<DecryptInput, DecryptOutput>;
}
