"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeleteImportedKeyMaterial_1 = require("../model/operations/DeleteImportedKeyMaterial");
var DeleteImportedKeyMaterialCommand = /** @class */ (function () {
    function DeleteImportedKeyMaterialCommand(input) {
        this.input = input;
        this.model = DeleteImportedKeyMaterial_1.DeleteImportedKeyMaterial;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeleteImportedKeyMaterialCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeleteImportedKeyMaterialCommand;
}());
exports.DeleteImportedKeyMaterialCommand = DeleteImportedKeyMaterialCommand;
//# sourceMappingURL=DeleteImportedKeyMaterialCommand.js.map