"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DisconnectCustomKeyStore_1 = require("../model/operations/DisconnectCustomKeyStore");
var DisconnectCustomKeyStoreCommand = /** @class */ (function () {
    function DisconnectCustomKeyStoreCommand(input) {
        this.input = input;
        this.model = DisconnectCustomKeyStore_1.DisconnectCustomKeyStore;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DisconnectCustomKeyStoreCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DisconnectCustomKeyStoreCommand;
}());
exports.DisconnectCustomKeyStoreCommand = DisconnectCustomKeyStoreCommand;
//# sourceMappingURL=DisconnectCustomKeyStoreCommand.js.map