"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GenerateDataKeyWithoutPlaintext_1 = require("../model/operations/GenerateDataKeyWithoutPlaintext");
var GenerateDataKeyWithoutPlaintextCommand = /** @class */ (function () {
    function GenerateDataKeyWithoutPlaintextCommand(input) {
        this.input = input;
        this.model = GenerateDataKeyWithoutPlaintext_1.GenerateDataKeyWithoutPlaintext;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GenerateDataKeyWithoutPlaintextCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GenerateDataKeyWithoutPlaintextCommand;
}());
exports.GenerateDataKeyWithoutPlaintextCommand = GenerateDataKeyWithoutPlaintextCommand;
//# sourceMappingURL=GenerateDataKeyWithoutPlaintextCommand.js.map