"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var GenerateRandom_1 = require("../model/operations/GenerateRandom");
var GenerateRandomCommand = /** @class */ (function () {
    function GenerateRandomCommand(input) {
        this.input = input;
        this.model = GenerateRandom_1.GenerateRandom;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    GenerateRandomCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return GenerateRandomCommand;
}());
exports.GenerateRandomCommand = GenerateRandomCommand;
//# sourceMappingURL=GenerateRandomCommand.js.map