"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListKeys_1 = require("../model/operations/ListKeys");
var ListKeysCommand = /** @class */ (function () {
    function ListKeysCommand(input) {
        this.input = input;
        this.model = ListKeys_1.ListKeys;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListKeysCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListKeysCommand;
}());
exports.ListKeysCommand = ListKeysCommand;
//# sourceMappingURL=ListKeysCommand.js.map