"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var ListResourceTags_1 = require("../model/operations/ListResourceTags");
var ListResourceTagsCommand = /** @class */ (function () {
    function ListResourceTagsCommand(input) {
        this.input = input;
        this.model = ListResourceTags_1.ListResourceTags;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    ListResourceTagsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return ListResourceTagsCommand;
}());
exports.ListResourceTagsCommand = ListResourceTagsCommand;
//# sourceMappingURL=ListResourceTagsCommand.js.map