"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RetireGrant_1 = require("../model/operations/RetireGrant");
var RetireGrantCommand = /** @class */ (function () {
    function RetireGrantCommand(input) {
        this.input = input;
        this.model = RetireGrant_1.RetireGrant;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RetireGrantCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RetireGrantCommand;
}());
exports.RetireGrantCommand = RetireGrantCommand;
//# sourceMappingURL=RetireGrantCommand.js.map