"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var RevokeGrant_1 = require("../model/operations/RevokeGrant");
var RevokeGrantCommand = /** @class */ (function () {
    function RevokeGrantCommand(input) {
        this.input = input;
        this.model = RevokeGrant_1.RevokeGrant;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    RevokeGrantCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return RevokeGrantCommand;
}());
exports.RevokeGrantCommand = RevokeGrantCommand;
//# sourceMappingURL=RevokeGrantCommand.js.map