"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DecryptInput_1 = require("../shapes/DecryptInput");
var DecryptOutput_1 = require("../shapes/DecryptOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DisabledException_1 = require("../shapes/DisabledException");
var InvalidCiphertextException_1 = require("../shapes/InvalidCiphertextException");
var KeyUnavailableException_1 = require("../shapes/KeyUnavailableException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var InvalidGrantTokenException_1 = require("../shapes/InvalidGrantTokenException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.Decrypt = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "Decrypt",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: DecryptInput_1.DecryptInput
    },
    output: {
        shape: DecryptOutput_1.DecryptOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: InvalidCiphertextException_1.InvalidCiphertextException
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=Decrypt.js.map