"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var GenerateDataKeyInput_1 = require("../shapes/GenerateDataKeyInput");
var GenerateDataKeyOutput_1 = require("../shapes/GenerateDataKeyOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DisabledException_1 = require("../shapes/DisabledException");
var KeyUnavailableException_1 = require("../shapes/KeyUnavailableException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var InvalidKeyUsageException_1 = require("../shapes/InvalidKeyUsageException");
var InvalidGrantTokenException_1 = require("../shapes/InvalidGrantTokenException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.GenerateDataKey = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GenerateDataKey",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GenerateDataKeyInput_1.GenerateDataKeyInput
    },
    output: {
        shape: GenerateDataKeyOutput_1.GenerateDataKeyOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidKeyUsageException_1.InvalidKeyUsageException
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=GenerateDataKey.js.map