"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ReEncryptInput_1 = require("../shapes/ReEncryptInput");
var ReEncryptOutput_1 = require("../shapes/ReEncryptOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DisabledException_1 = require("../shapes/DisabledException");
var InvalidCiphertextException_1 = require("../shapes/InvalidCiphertextException");
var KeyUnavailableException_1 = require("../shapes/KeyUnavailableException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var InvalidKeyUsageException_1 = require("../shapes/InvalidKeyUsageException");
var InvalidGrantTokenException_1 = require("../shapes/InvalidGrantTokenException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ReEncrypt = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ReEncrypt",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ReEncryptInput_1.ReEncryptInput
    },
    output: {
        shape: ReEncryptOutput_1.ReEncryptOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DisabledException_1.DisabledException
        },
        {
            shape: InvalidCiphertextException_1.InvalidCiphertextException
        },
        {
            shape: KeyUnavailableException_1.KeyUnavailableException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidKeyUsageException_1.InvalidKeyUsageException
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=ReEncrypt.js.map