"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RetireGrantInput_1 = require("../shapes/RetireGrantInput");
var RetireGrantOutput_1 = require("../shapes/RetireGrantOutput");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidGrantTokenException_1 = require("../shapes/InvalidGrantTokenException");
var InvalidGrantIdException_1 = require("../shapes/InvalidGrantIdException");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RetireGrant = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RetireGrant",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RetireGrantInput_1.RetireGrantInput
    },
    output: {
        shape: RetireGrantOutput_1.RetireGrantOutput
    },
    errors: [
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidGrantTokenException_1.InvalidGrantTokenException
        },
        {
            shape: InvalidGrantIdException_1.InvalidGrantIdException
        },
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=RetireGrant.js.map