"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RevokeGrantInput_1 = require("../shapes/RevokeGrantInput");
var RevokeGrantOutput_1 = require("../shapes/RevokeGrantOutput");
var NotFoundException_1 = require("../shapes/NotFoundException");
var DependencyTimeoutException_1 = require("../shapes/DependencyTimeoutException");
var InvalidArnException_1 = require("../shapes/InvalidArnException");
var InvalidGrantIdException_1 = require("../shapes/InvalidGrantIdException");
var KMSInternalException_1 = require("../shapes/KMSInternalException");
var KMSInvalidStateException_1 = require("../shapes/KMSInvalidStateException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RevokeGrant = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RevokeGrant",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: RevokeGrantInput_1.RevokeGrantInput
    },
    output: {
        shape: RevokeGrantOutput_1.RevokeGrantOutput
    },
    errors: [
        {
            shape: NotFoundException_1.NotFoundException
        },
        {
            shape: DependencyTimeoutException_1.DependencyTimeoutException
        },
        {
            shape: InvalidArnException_1.InvalidArnException
        },
        {
            shape: InvalidGrantIdException_1.InvalidGrantIdException
        },
        {
            shape: KMSInternalException_1.KMSInternalException
        },
        {
            shape: KMSInvalidStateException_1.KMSInvalidStateException
        }
    ]
};
//# sourceMappingURL=RevokeGrant.js.map