"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var KMSClient_1 = require("../../KMSClient");
var ListAliasesCommand_1 = require("../../commands/ListAliasesCommand");
var GetKeyPolicyCommand_1 = require("../../commands/GetKeyPolicyCommand");
describe("@aws-sdk/client-kms-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("ListAliases should succeed when given correct input", function (done) {
        var client = new KMSClient_1.KMSClient({
            region: defaultRegion,
            credentials: credentials
        });
        var listAliases = new ListAliasesCommand_1.ListAliasesCommand({});
        client
            .send(listAliases)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
    it("GetKeyPolicy should fail when given bad input", function (done) {
        var client = new KMSClient_1.KMSClient({
            region: defaultRegion,
            credentials: credentials
        });
        var getKeyPolicy = new GetKeyPolicyCommand_1.GetKeyPolicyCommand({
            KeyId: "12345678-1234-1234-1234-123456789012",
            PolicyName: "fakePolicy"
        });
        client
            .send(getKeyPolicy)
            .then(function (result) {
            expect(result).toBeUndefined();
            done();
        })
            .catch(function (err) {
            expect(err).toBeDefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map